import { Server, ServerOptions } from './server';
import { Stub, StubOptions } from './stub';
import { VerifierOptions } from './verifier/types';
import { MessageOptions } from './message';
import { PublisherOptions } from './publisher';
import { CanDeployOptions, CanDeployResponse } from './can-deploy';
import { LogLevels } from './logger';
import { AbstractService } from './service';
export declare class Pact {
    private __servers;
    private __stubs;
    constructor();
    logLevel(level?: LogLevels | number): number | void;
    createServer(options?: ServerOptions): Server;
    listServers(): Server[];
    removeAllServers(): Promise<Server[]>;
    createStub(options?: StubOptions): Stub;
    listStubs(): Stub[];
    removeAllStubs(): Promise<Stub[]>;
    removeAll(): Promise<AbstractService[]>;
    verifyPacts(options: VerifierOptions): Promise<string>;
    createMessage(options: MessageOptions): Promise<unknown>;
    publishPacts(options: PublisherOptions): Promise<string[]>;
    canDeploy(options: CanDeployOptions): Promise<CanDeployResponse | string>;
}
declare const _default: Pact;
export default _default;
