"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chalk_1 = require("chalk");
var download_1 = require("./install/download");
var extract_1 = require("./install/extract");
var console_1 = require("./connectors/console");
var setup_1 = require("./setup");
exports.default = (function (platform, arch) {
    if (process.env.PACT_SKIP_BINARY_INSTALL === 'true') {
        console.log(chalk_1.default.yellow("Skipping binary installation. Env var 'PACT_SKIP_BINARY_INSTALL' was found."));
        return Promise.resolve([
            {
                binaryInstallSkipped: true,
            },
        ]);
    }
    return setup_1.setup(platform, arch)
        .then(function (entries) { return Promise.all(entries.map(function (d) { return download_1.download(d); })); })
        .then(function (entries) { return Promise.all(entries.map(function (d) { return extract_1.extract(d); })); })
        .then(function (entries) {
        console.log('\n\n' +
            chalk_1.default.bgYellow(chalk_1.default.black('### If you') +
                chalk_1.default.red(' ❤ ') +
                chalk_1.default.black('Pact and want to support us, please donate here:')) +
            chalk_1.default.blue(' http://donate.pact.io/node') +
            '\n\n');
        console.log(chalk_1.default.green('Pact Standalone Binary is ready.'));
        return entries;
    })
        .catch(function (e) {
        return console_1.throwError("Postinstalled Failed Unexpectedly: " + e);
    });
});
//# sourceMappingURL=install.js.map